Kline/Candlestick Data
Get Kline/candlestick data for a symbol. Each Kline represents one symbol; the open time of each Kline can be treated as a unique ID.
HTTP Request
- GET
/api/v3/klines
Weight(IP): 1
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| symbol | string | YES | |
| interval | ENUM | YES | ENUM: Kline Interval |
| startTime | long | NO | Start time, Unix millisecond timestamp |
| endTime | long | NO | End time, Unix millisecond timestamp |
| limit | integer | NO | Default 500; max 500. |
Response Parameters
| Index | Description |
|---|---|
| 0 | Open time |
| 1 | Open |
| 2 | High |
| 3 | Low |
| 4 | Close |
| 5 | Volume |
| 6 | Close time |
| 7 | Quote asset volume |
Response
[
[
1640804880000,
"47482.36",
"47482.36",
"47416.57",
"47436.1",
"3.550717",
1640804940000,
"168387.3"
]
]